

var roolContent=new Array();   //滚动主题                  	
roolContent[0]='<a href="#" target="_blank">+ 学会偷懒，并懒出境界是提高工作效率最有效的方法！</a>';
roolContent[1]='<a href="#/" target="_blank">+ 显而易见，最高的效率就是对现有材料的最佳利用。</a>';
roolContent[2]='<a href="#" target="_blank">+ 自己能解决的事，别花钱，花钱能解决的事，别求人。</a>';
roolContent[3]='<a href="#" target="_blank">+ 旅行是需要一种心情，更重要的是，需要一种冲动。</a>';
roolContent[4]='<a href="#" target="_blank">+ 随时用零碎的时间(如等人、排队等)做零碎的事情。</a>';
var roolInterval=new Array();  //定义一些常用而且要经常用到的变量
var roolId=0;
var roolDelay=2000;
var roolHeight=15;
function initrool() {
 var str=roolContent[0];
 document.write('<div align="center" id=roolBox  style="overflow:hidden;height:'+roolHeight+'px" onmouseover="clearInterval (roolInterval[0])" onmouseout="roolInterval[0]=setInterval(\'startrool() \',roolDelay)"><div>'+str+'</div></div>');

 roolId++;
 roolInterval[0]=setInterval("startrool()",roolDelay);
 }
function startrool() {
 var str=roolContent[roolId];
  roolId++;
 if(roolId>=roolContent.length) roolId=0;
 if(roolBox.childNodes.length==1) {
  var nextNode=document.createElement('DIV');
  nextNode.innerHTML=str;
  roolBox.appendChild(nextNode);
  }
 else {
  roolBox.childNodes[0].innerHTML=str;
  roolBox.appendChild(roolBox.childNodes[0]);
  roolBox.scrollTop=0;
  }
 clearInterval(roolInterval[1]);
 roolInterval[1]=setInterval("scrollrool()",10);
 }
function scrollrool() {
 roolBox.scrollTop++;
 if(roolBox.scrollTop%roolHeight==roolHeight){
  clearInterval(roolInterval[1]);
  }
 }
initrool();
